/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.job.example;

import net.sourceforge.kivu4j.job.domain.Timetable;
import net.sourceforge.kivu4j.utils.job.AbstractProcessor;
import net.sourceforge.kivu4j.utils.job.Consts;

import org.quartz.JobDataMap;
import org.quartz.JobExecutionContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

/**
 * 狗叫任务处理
 *
 * @author Lucky Yang
 */
@Service("dogBarkProcessor")
public class DogBarkProcessor extends AbstractProcessor {
	protected Logger logger = LoggerFactory.getLogger(getClass());
	
	@Override
	public void doProcess(JobExecutionContext context) {
		// 取出数据
        JobDataMap data = context.getTrigger().getJobDataMap();
        Timetable timetable = (Timetable)data.get(Consts.TIMETABLE);
        
		logger.info("汪！汪汪！");
		logger.info(timetable.toString());
	}

}
